iPhone Restore Back Iphone 4S 5.0.1

n0fx

macrumors newbie
Original poster
Apr 18, 2010
12
0
I couldn't find a clear answer on how to do this but I have a Iphone 4S with 5.0.1. I backed up my SHSH blob with Tiny Umbrella and Cydia. I was wondering how I can restore back my Iphone 4S back to 5.0.1 and keep my baseband the way it is, so that I can unlock it.

Can I use the latest Redsn0w to get this done? I read that the new version will force my phone to upgrade to 5.1.1, which will upgrade the baseband, and then roll back the OS to 5.0.1. Is there any way to save my current baseband and restore back the OS to 5.0.1?

Thanks!
 

labman

macrumors 604
Jun 9, 2009
7,787
1
Mich near Detroit
1st unless you preserved your baseband befor you upgraded dowgrading will not change the baseband. what baseband is this a gsm or cdma based phone? did you save your apt. tickets as well as the shsh blobs? we need more info if you want help.
 

n0fx

macrumors newbie
Original poster
Apr 18, 2010
12
0
1st unless you preserved your baseband befor you upgraded dowgrading will not change the baseband. what baseband is this a gsm or cdma based phone? did you save your apt. tickets as well as the shsh blobs? we need more info if you want help.
I'm so sorry, I'm using the Verizon Iphone 4S (CDMA). How do I preserve my baseband, as it is? I never upgraded the phone when I bought it and I only jailbroken it. I only saved the SHSH blobs and not the apt. ticket. I want to restore it back to 5.0.1, then unlock it (with software of course), so I can use it on Tmobile or AT&T.

I already called Verizon to unlock it but I didn't know that the unlock only covers cell phone carriers OUTSIDE the US and not everywhere, which totally sucks.

Thanks for the help.
 

TriJetHero

macrumors 601
Oct 13, 2010
4,953
137
World
To my knowledge the CDMA 4S can only be unlocked with the Gevey Ultra S CDMA SIM interposer, no software unlock is available.
Also read the warning on use with 5.1.1

http://www.applenberry.com/gevey-ultra-s-cdma/

To restore to 5.0.1:

Use redsn0w to check if you have full or partial SHSH/APTicket.

Open redsn0w Extras/SHSH Blobs/Verify

If you have full blobs and the APTicket you can restore using a custom NO_BB IPSW with your SHSH and APTicket stitched to it.

iClarified.com will have tutorials.
 

n0fx

macrumors newbie
Original poster
Apr 18, 2010
12
0
To my knowledge the CDMA 4S can only be unlocked with the Gevey Ultra S CDMA SIM interposer, no software unlock is available.
Also read the warning on use with 5.1.1

http://www.applenberry.com/gevey-ultra-s-cdma/

To restore to 5.0.1:

Use redsn0w to check if you have full or partial SHSH/APTicket.

Open redsn0w Extras/SHSH Blobs/Verify

If you have full blobs and the APTicket you can restore using a custom NO_BB IPSW with your SHSH and APTicket stitched to it.

iClarified.com will have tutorials.
Thanks, is there any way to get the APTicket now? I only backed up the SHSH a while ago when 5.0.1 was being signed by Apple. I was reading that stitching the IPSW was only available with the older Iphones and wasn't working with the 4s?
 

TriJetHero

macrumors 601
Oct 13, 2010
4,953
137
World
You read wrong...

From the Dev-Team blog:
"Starting with redsn0w version 0.9.11b1, those with newer devices (iPad2, iPad3, and iPhone4S) can join the downgrade fun too! In a radical departure from previous versions of redsn0w, it now directly supports restoring IPSWs to your device. The first use of this new feature implements a hack that allows A5 downgrades without a bootrom-level exploit."

http://blog.iphone-dev.org/post/22834622159/5x-redux

Did you verify if you have the APTicket with redsn0w?
If you don't have it you're SOL.
 

n0fx

macrumors newbie
Original poster
Apr 18, 2010
12
0
You read wrong...

From the Dev-Team blog:
"Starting with redsn0w version 0.9.11b1, those with newer devices (iPad2, iPad3, and iPhone4S) can join the downgrade fun too! In a radical departure from previous versions of redsn0w, it now directly supports restoring IPSWs to your device. The first use of this new feature implements a hack that allows A5 downgrades without a bootrom-level exploit."

http://blog.iphone-dev.org/post/22834622159/5x-redux

Did you verify if you have the APTicket with redsn0w?
If you don't have it you're SOL.
If I didn't get the APTicket when apple was signing 5.0.1, is it still possible to get it now? I have the SHSH blob for 5.0.1.
 

n0fx

macrumors newbie
Original poster
Apr 18, 2010
12
0
To my knowledge the CDMA 4S can only be unlocked with the Gevey Ultra S CDMA SIM interposer, no software unlock is available.
Also read the warning on use with 5.1.1

http://www.applenberry.com/gevey-ultra-s-cdma/

To restore to 5.0.1:

Use redsn0w to check if you have full or partial SHSH/APTicket.

Open redsn0w Extras/SHSH Blobs/Verify

If you have full blobs and the APTicket you can restore using a custom NO_BB IPSW with your SHSH and APTicket stitched to it.

iClarified.com will have tutorials.
I tried to do this but Redsn0w said that the verify feature wasn't supported with my phone (4s).
 

dhlizard

macrumors G4
Mar 16, 2009
10,214
118
The Jailbreak Community
1st unless you preserved your baseband befor you upgraded dowgrading will not change the baseband. what baseband is this a gsm or cdma based phone? did you save your apt. tickets as well as the shsh blobs? we need more info if you want help.
Since the A5 devices are not succeptable to Limera1n exploit, Basebands cannot be preserved, so thread starter would have stock baseband on 4S.